Xerces-C++ 3.2.4

List of all members
PSVIElement Class Reference

`#include <xercesc/framework/psvi/PSVIElement.hpp>`

Inheritance diagram for PSVIElement:

## Public Member Functions
Constructors
| PSVIElement (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~PSVIElement ()
Public Member Functions inherited from PSVIItem
| PSVIItem (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~PSVIItem ()
const XMLCh * | getValidationContext ()
| [validation context] More...
VALIDITY_STATE | getValidity () const
| Determine the validity of the node with respect to the validation being attempted. More...
ASSESSMENT_TYPE | getValidationAttempted () const
| Determines the extent to which the item has been validated. More...
const XMLCh * | getSchemaNormalizedValue ()
| A list of error codes generated from validation attempts. More...
const XMLCh * | getSchemaDefault ()
| [schema default] More...
bool | getIsSchemaSpecified () const
| [schema specified] More...
const XMLCh * | getCanonicalRepresentation () const
| Return the canonical representation of this value. More...
virtual XSValue * | getActualValue () const
| Get actual value in the form of XSValue, caller needs to delete the object returned. More...
void | setValidationAttempted (PSVIItem::ASSESSMENT_TYPE attemptType)
| methods needed by implementation More...
void | setValidity (PSVIItem::VALIDITY_STATE validity)
void | reset (const XMLCh *const validationContext, const XMLCh *const normalizedValue, const VALIDITY_STATE validityState, const ASSESSMENT_TYPE assessmentType)
| reset the object More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## PSVIElement methods
XSElementDeclaration * | getElementDeclaration ()
| An item isomorphic to the element declaration used to validate this element. More...
XSNotationDeclaration * | getNotationDeclaration ()
| [notation] More...
XSModel * | getSchemaInformation ()
| [schema information] More...
XSTypeDefinition * | getTypeDefinition ()
| An item isomorphic to the type definition used to validate this element. More...
XSSimpleTypeDefinition * | getMemberTypeDefinition ()
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple type definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value. More...
void | reset (const VALIDITY_STATE validityState, const ASSESSMENT_TYPE assessmentType, const XMLCh *const validationContext, bool isSpecified, XSElementDeclaration *const elemDecl, XSTypeDefinition *const typeDef, XSSimpleTypeDefinition *const memberType, XSModel *const schemaInfo, const XMLCh *const defaultValue, const XMLCh *const normalizedValue=0, XMLCh *const canonicalValue=0, XSNotationDeclaration *const notationDecl=0)
| methods needed by implementation More...

## Additional Inherited Members
Public Types inherited from PSVIItem
enum | VALIDITY_STATE { VALIDITY_NOTKNOWN = 0 , VALIDITY_INVALID = 1 , VALIDITY_VALID = 2 }
enum | ASSESSMENT_TYPE { VALIDATION_NONE = 0 , VALIDATION_PARTIAL = 1 , VALIDATION_FULL = 2 }
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from PSVIItem
MemoryManager *const | fMemoryManager
const XMLCh * | fValidationContext
const XMLCh * | fNormalizedValue
const XMLCh * | fDefaultValue
XMLCh * | fCanonicalValue
VALIDITY_STATE | fValidityState
ASSESSMENT_TYPE | fAssessmentType
bool | fIsSpecified
XSTypeDefinition * | fType
XSSimpleTypeDefinition * | fMemberType

## Constructor & Destructor Documentation

## ◆ PSVIElement()

PSVIElement::PSVIElement | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

The default constructor.

Parameters

  manager | The configurable memory manager

## ◆ ~PSVIElement()

PSVIElement::~PSVIElement | ( |  | ) |

## Member Function Documentation

## ◆ getElementDeclaration()

XSElementDeclaration * PSVIElement::getElementDeclaration | ( |  | ) |

An item isomorphic to the element declaration used to validate this element.

Returns
  an element declaration

## ◆ getMemberTypeDefinition()

XSSimpleTypeDefinition * PSVIElement::getMemberTypeDefinition | ( |  | ) |
| virtual

If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple type definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

Returns
  a simple type declaration

Implements PSVIItem.

## ◆ getNotationDeclaration()

XSNotationDeclaration * PSVIElement::getNotationDeclaration | ( |  | ) |

[notation]

See also
  XML Schema Part 1: Structures [notation]

Returns
  The notation declaration.

## ◆ getSchemaInformation()

XSModel * PSVIElement::getSchemaInformation | ( |  | ) |

[schema information]

See also
  XML Schema Part 1: Structures [schema information]

Returns
  The schema information property if it's the validation root, null otherwise.

## ◆ getTypeDefinition()

XSTypeDefinition * PSVIElement::getTypeDefinition | ( |  | ) |
| virtual

An item isomorphic to the type definition used to validate this element.

Returns
  a type declaration

Implements PSVIItem.

## ◆ reset()

void PSVIElement::reset | ( | const VALIDITY_STATE | validityState,
|  | const ASSESSMENT_TYPE | assessmentType,
|  | const XMLCh *const | validationContext,
|  | bool | isSpecified,
|  | XSElementDeclaration *const | elemDecl,
|  | XSTypeDefinition *const | typeDef,
|  | XSSimpleTypeDefinition *const | memberType,
|  | XSModel *const | schemaInfo,
|  | const XMLCh *const | defaultValue,
|  | const XMLCh *const | normalizedValue = `0`,
|  | XMLCh *const | canonicalValue = `0`,
|  | XSNotationDeclaration *const | notationDecl = `0`
| ) |  |

methods needed by implementation

The documentation for this class was generated from the following file:

- PSVIElement.hpp